javax.persistence

## Interface Query

All Known Subinterfaces:
  TypedQuery<X>

    public interface Query

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `executeUpdate()`
`int` `getFirstResult()`
`FlushModeType` `getFlushMode()`
`Map<String,Object>` `getHints()`
`LockModeType` `getLockMode()`
`int` `getMaxResults()`
`Parameter<?>` `getParameter(int position)`
`<T> Parameter<T>` `getParameter(int position, Class<T> type)`
`Parameter<?>` `getParameter(String name)`
`<T> Parameter<T>` `getParameter(String name, Class<T> type)`
`Set<Parameter<?>>` `getParameters()`
`Object` `getParameterValue(int position)`
`<T> T` `getParameterValue(Parameter<T> param)`
`Object` `getParameterValue(String name)`
`List` `getResultList()`
`Object` `getSingleResult()`
`boolean` `isBound(Parameter<?> param)`
`Query` `setFirstResult(int startPosition)`
`Query` `setFlushMode(FlushModeType flushMode)`
`Query` `setHint(String hintName, Object value)`
`Query` `setLockMode(LockModeType lockMode)`
`Query` `setMaxResults(int maxResult)`
`Query` `setParameter(int position, Calendar value, TemporalType temporalType)`
`Query` `setParameter(int position, Date value, TemporalType temporalType)`
`Query` `setParameter(int position, Object value)`
`Query` `setParameter(Parameter<Calendar> param, Calendar value, TemporalType temporalType)`
`Query` `setParameter(Parameter<Date> param, Date value, TemporalType temporalType)`
`<T> Query` `setParameter(Parameter<T> param, T value)`
`Query` `setParameter(String name, Calendar value, TemporalType temporalType)`
`Query` `setParameter(String name, Date value, TemporalType temporalType)`
`Query` `setParameter(String name, Object value)`
`<T> T` `unwrap(Class<T> cls)`

### Method Detail

#### getResultList

    List getResultList()

#### getSingleResult

    Object getSingleResult()

#### executeUpdate

    int executeUpdate()

#### setMaxResults

    Query setMaxResults(int maxResult)

#### getMaxResults

    int getMaxResults()

#### setFirstResult

    Query setFirstResult(int startPosition)

#### getFirstResult

    int getFirstResult()

#### setHint

    Query setHint(String hintName,
                  Object value)

#### getHints

    Map<String,Object> getHints()

#### setParameter

    <T> Query setParameter(Parameter<T> param,
                           T value)

#### setParameter

    Query setParameter(Parameter<Calendar> param,
                       Calendar value,
                       TemporalType temporalType)

#### setParameter

    Query setParameter(Parameter<Date> param,
                       Date value,
                       TemporalType temporalType)

#### setParameter

    Query setParameter(String name,
                       Object value)

#### setParameter

    Query setParameter(String name,
                       Calendar value,
                       TemporalType temporalType)

#### setParameter

    Query setParameter(String name,
                       Date value,
                       TemporalType temporalType)

#### setParameter

    Query setParameter(int position,
                       Object value)

#### setParameter

    Query setParameter(int position,
                       Calendar value,
                       TemporalType temporalType)

#### setParameter

    Query setParameter(int position,
                       Date value,
                       TemporalType temporalType)

#### getParameters

    Set<Parameter<?>> getParameters()

#### getParameter

    Parameter<?> getParameter(String name)

#### getParameter

    <T> Parameter<T> getParameter(String name,
                                  Class<T> type)

#### getParameter

    Parameter<?> getParameter(int position)

#### getParameter

    <T> Parameter<T> getParameter(int position,
                                  Class<T> type)

#### isBound

    boolean isBound(Parameter<?> param)

#### getParameterValue

    <T> T getParameterValue(Parameter<T> param)

#### getParameterValue

    Object getParameterValue(String name)

#### getParameterValue

    Object getParameterValue(int position)

#### setFlushMode

    Query setFlushMode(FlushModeType flushMode)

#### getFlushMode

    FlushModeType getFlushMode()

#### setLockMode

    Query setLockMode(LockModeType lockMode)

#### getLockMode

    LockModeType getLockMode()

#### unwrap

    <T> T unwrap(Class<T> cls)